Page MenuHomePhabricator

Create Icinga plugin to check number of eligible masters
Closed, ResolvedPublic

Description

The number of masters eligible nodes should always align with puppet settings for our clusters and this deviates, we should know immediately

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2019, 2:15 AM
Mathew.onipe triaged this task as Medium priority.May 22 2019, 2:15 AM
Mathew.onipe renamed this task from Create Icinga check that alerts whenever elasticsearch master is down to Create Icinga plugin to check number of eligible masters.Jun 14 2019, 5:22 AM
Mathew.onipe updated the task description. (Show Details)

Change 516992 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] icinga: cirrus masters eligible check

https://gerrit.wikimedia.org/r/516992

Change 516992 merged by Gehel:
[operations/puppet@production] icinga: cirrus masters eligible check

https://gerrit.wikimedia.org/r/516992

debt closed this task as Resolved.Jul 3 2019, 4:22 PM